#include <cstdio>
#include <algorithm>
using namespace std;

double sqr(double num) {return num * num;}

int main(void) {
    int numTests = 150;
    FILE* out1 = fopen("parash_res_1000_tests_1500ms.out", "rt");
    FILE* out2 = fopen("parash_res_1000_tests_1700ms.out", "rt");
    
    int wins1 = 0, wins2 = 0;
    double score1 = 0, score2 = 0;
    for (int test = 0; test < numTests; test++) {
        int curScore1, curScore2;
        fscanf(out1, "%d", &curScore1);
        fscanf(out2, "%d", &curScore2);
        fprintf(stdout, "%s solution is better!",
                curScore1 < curScore2 ? "Second" : "First");
        fprintf(stdout, " (%d vs %d)\n", curScore1, curScore2);
        score1 += sqr((double)(curScore1 + 1) / ((double)max(curScore1, curScore2) + 1));
        score2 += sqr((double)(curScore2 + 1) / ((double)max(curScore1, curScore2) + 1));
        if (curScore1 < curScore2) wins2++;
        if (curScore2 < curScore1) wins1++;
    }
    fprintf(stdout, "\n\n");
    fprintf(stdout, "First solution won %d rounds. Total score: %lf\n", wins1, score1);
    fprintf(stdout, "Second solution won %d rounds. Total score: %lf\n", wins2, score2);
    return 0;
}
